--------------------------------------------------------------------------------
-- Top level
--------------------------------------------------------------------------------

module Main where

import Auxiliary.Metadata
import Auxiliary.TypeLevel
import Auxiliary.Utils

import Library.Regular
import Library.Multirec
import Library.IG
import Library.SYB
import Library.Deriving
import Library.Structured

import Conversion.S2RS
import Conversion.D2IG
import Conversion.D2R
import Conversion.D2M
import Conversion.D2S
-- import Conversion.S2D0 -- introduces instance overlaps
import Conversion.S2D1

import Test.Structured
import Test.Balancing
import Test.Deriving
import Test.D2M
import Test.D2IG
import Test.D2R
import Test.D2S
-- import Test.S2D0 -- introduces instance overlaps
-- import Test.S2D1 -- introduces instance overlaps
