--------------------------------------------------------------------------------
-- From Deriving to IG
--------------------------------------------------------------------------------

{-# LANGUAGE DataKinds              #-}
{-# LANGUAGE PolyKinds              #-}
{-# LANGUAGE TypeFamilies           #-}
{-# LANGUAGE TypeOperators          #-}
{-# LANGUAGE GADTs                  #-}
{-# LANGUAGE FlexibleInstances      #-}
{-# LANGUAGE FlexibleContexts       #-}
{-# LANGUAGE UndecidableInstances   #-}

module Test.D2IG where


import qualified Library.IG       as IG
import qualified Test.Deriving    as D
import Conversion.D2IG


--------------------------------------------------------------------------------
-- Tests
--------------------------------------------------------------------------------

-- These empty instances are necessary as before
instance (IG.GEq a) => IG.GEq [a]
instance (IG.GEq a) => IG.GEq (D.RTree a)

td2ig1, td2ig2, td2ig3 :: Bool
td2ig1 = IG.geq "abc" "abc"
td2ig2 = IG.geq "abc" "abcd"
td2ig3 = IG.geq (D.RTree (0::Int) [D.RTree 1 []])
                (D.RTree 0        [D.RTree 1 [], D.RTree 2 []])
