--------------------------------------------------------------------------------
-- From Structured to Deriving
--------------------------------------------------------------------------------

{-# LANGUAGE FlexibleContexts       #-}
{-# LANGUAGE FlexibleInstances      #-}
{-# LANGUAGE UndecidableInstances   #-}
{-# LANGUAGE DataKinds              #-}
{-# LANGUAGE ScopedTypeVariables    #-}
{-# LANGUAGE TypeFamilies           #-}

module Test.S2D1 where

import qualified Library.Structured as S
import qualified Library.Deriving   as D
import Test.Structured () -- for the S.Generic [a] instance
import Conversion.S2D1


--------------------------------------------------------------------------------
-- Tests
--------------------------------------------------------------------------------

-- Instantiation of lists to Deriving through Structured
instance D.Generic1 [] where
  type Rep1 [] = S2D (S.Rep [S.NoPar])

  from1 x = s2d (S.from x)
  to1   x = S.to (d2s x)


instance D.GFunctor []

test = D.gmap (+1) [0..2]
